Update Customer
What it does: Updates customer personal information on an existing booking, including email address.
POST /insurances/updateCustomerExample request
curl -i -X POST \
-H "X_API_KEY: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"AgentReference": "AB12-345C-INS",
"Email": "[email protected]",
"NewEmail": "[email protected]",
"FirstName": "Jane",
"LastName": "Smith",
"Phone": "+12125551234",
"CustomerAge": 33,
"Address1": "456 Park Ave",
"City": "New York",
"PostalCode": "10022",
"Region": "NY",
"Country": "US"
}' \
https://api-staging.rentalcover.com/insurances/updateCustomer{
"Country":{
"Code":"AU",
"Name":"Australia",
"PhoneCode":"+61"
},
"Customer":{
"CustomerId":"229233",
"FirstName":"John",
"LastName":"Doe",
"Email":"[email protected]",
"Phone":"+6141012345678",
"Address1":"20 Some Address",
"Address2":"Suite 15",
"City":"Sydney",
"Region":"NSW",
"PostalCode":"2014",
"CountryId":"14",
"DateOfBirth":"1990-01-01",
"Age":28,
"Coupons":{
"bonvoyage-PAPpC":{
"Title":"15% off your policy",
"Value":"15",
"ValueType":"Percentage",
"AmountRemaining":null,
"EffectiveFrom":"2018-06-28 00:00:00",
"EffectiveTo":"2018-07-12 00:00:00",
"Terms":"<ul><li>User is entitled to a 15% discount on eligible RentalCover.com policies. All policies are eligible except RentalCover.com's \"Collision Damage Coverage\" for US Residents/Citizens and \"Annual\" policies.</li><li>Payment must be conducted via RentalCover.com's website or mobile app. It is not applicable via our partner sites.</li><li>Coupon cannot be shared.</li><li>Coupon expires on: 2018-07-12. Coupon creation date: 2018-06-28.</li><li>Can only apply one coupon per paid policy.</li><li>Can only be used once per user</li></ul>"
}
}
}
}Request parameters
AgentReference
Required
The booking reference (e.g. AB12-345C-INS).
Email
Required
Current customer email. Used as a unique identifier along with the booking reference.
FirstName
Optional
Customer first name.
LastName
Optional
Customer last name.
NewEmail
Optional
New email address. Pass this to change the customer's email.
Phone
Optional
Customer phone number.
CustomerAge
Optional
Customer age.
DateOfBirth
Optional
Customer date of birth (yyyy-mm-dd).
Address1
Optional
Customer street address line 1.
Address2
Optional
Customer street address line 2.
City
Optional
Customer city or suburb.
PostalCode
Optional
Customer postcode or zip.
Country
Optional
ISO 3166-1 alpha-2 country code.
OtherEmail
Optional
Secondary email address.
Response
Country
DestinationCountry object
Customer's country (Code, Name, PhoneCode). See DestinationCountry object.
Last updated
Was this helpful?

